Post by srcosmic » Sat May 18, 2019 10:37 pm

Hello,

In past I had a Extension of GETMARA for my Opencart 2.2 and everything worked well.

When I installed my Opencart 3.0.2 and tried to enable other time this same extension I had this error:

2019-05-18 14:23:32 - PHP Notice: Undefined index: vtmarketing_apikey in admin/controller/extension/module/vtmarketing.php on line 123
2019-05-18 14:23:32 - PHP Notice: Undefined variable: enabled in admin/controller/extension/module/vtmarketing.php on line 124

I tried to talk with the programmers of GETMARA and they tell me that in this moment hadn't time to help me...

I want work with GETMARA because is the extension more easier to do what I want.

This is the information that appear in the file with the errors:

private function onSaveSettings($params) {
// array(2) { ["vtmarketing_apikey"]=> string(15) "this_is_api_key" ["vtmarketing_status"]=> string(1) "1"
$store_url = HTTP_CATALOG;
$api_key = $params["vtmarketing_apikey"];
file_get_contents($this->image_loader . "?enabled=" . $enabled . "&base=" . urlencode($store_url)."&key=".base64_encode($api_key) . "&version=" . VERSION);


Someone know how can solve this problem?

Best Regards
Fábio Ramalho

New member

Posts

Joined
Tue Dec 02, 2014 4:28 am

Post by thekrotek » Sat May 18, 2019 10:46 pm

Sure, if you need support for a 3rd party extension and developer doesn't want to or can not help, you can always ask for commercial support. Drop me an email or message in Skype, if interested, and we'll discuss the terms.

Professional OpenCart extensions, support and custom work.
Contact me via email or Skype by support@thekrotek.com


User avatar
Expert Member

Posts

Joined
Sun Jul 03, 2016 12:24 am

Who is online

Users browsing this forum: No registered users and 8 guests